<?php
namespace Claromentis\Setup;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_0f10830288c813de18599c1" . "2f76694b3" => base64_decode("RGVi" . "dWc="), "_e2670a7" . "1b060534" . "5f16f2b7" . "a8edd4a2" . "1" => base64_decode("dWNmaXJz" . "dA=="), "_bd71c3b5c201fc11db" . "82ed14ce424de5" => base64_decode("aW5fYXJy" . "YXk="), "_70809333a0f254acf7a1a" . "d0c7dadd46b" => base64_decode("O" . "i" . "A" . "="), "_24f5487bd60ba6b30d" . "6285c791a32460" => base64_decode("c3RyX3BhZ" . "A=="), "_b742a00ae87756f850" . "c77e0daf4e7a3a" => base64_decode("C" . "g" . "=" . "="), "_a08b13e5439bf1e1258f60e9380f" . "41ae" => base64_decode("RGV0Y" . "Wls"), "_74923e1c0049a84fd020d96f8ae0645" . "d" => base64_decode("SW5" . "mbw" . "=="));
use Psr\Log\LoggerInterface;
use Psr\Log\LoggerTrait;
use Psr\Log\LogLevel;






class Logger implements LoggerInterface
{
    use LoggerTrait;
    protected $levels = [];
    public function __construct()
    {
        $this->setLogLevel(LogLevel::NOTICE);
    }
    
    
    
    
    
    
    
    
    
    
    public function log($level, $message, array $context = array())
    {
        if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5"]($level, $this->levels)) {
            return;
        }
        switch ($level) {
            case \Psr\Log\LogLevel::EMERGENCY:
            case \Psr\Log\LogLevel::ALERT:
            case \Psr\Log\LogLevel::CRITICAL:
            case \Psr\Log\LogLevel::ERROR:
            case \Psr\Log\LogLevel::WARNING:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_e2670a71b0" . "605345f16f2" . "b7a8edd4a21"]($level);
                break;
            case \Psr\Log\LogLevel::NOTICE:
            default:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_74923e1c0049a84fd020d96" . "f8ae0645d"];
                break;
            case \Psr\Log\LogLevel::INFO:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a08b13e5439bf1e12" . "58f60e9380f41ae"];
                break;
            case \Psr\Log\LogLevel::DEBUG:
                $prefix = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0f10830288" . "c813de18599" . "c12f76694b3"];
                break;
        }
        echo $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_24f5487bd60b" . "a6b30d6285c79" . "1a32460"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e2670a71b0605" . "345f16f2b7a8ed" . "d4a21"]($prefix), 6) . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_70809333a0f254acf7" . "a1ad0c7dadd46b"] . $message . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b742a00ae87756f850c77e0daf4" . "e7a3a"];
    }
    public function setLogLevel($_4eff911a7d895b5233a9a2ffeefd84f9 = LogLevel::NOTICE)
    {
        $this->levels = [];
        switch ($_4eff911a7d895b5233a9a2ffeefd84f9) {
            case \Psr\Log\LogLevel::DEBUG:
                $this->levels[] = \Psr\Log\LogLevel::DEBUG;
            case \Psr\Log\LogLevel::INFO:
                $this->levels[] = \Psr\Log\LogLevel::INFO;
            case \Psr\Log\LogLevel::NOTICE:
                $this->levels[] = \Psr\Log\LogLevel::NOTICE;
            case \Psr\Log\LogLevel::WARNING:
                $this->levels[] = \Psr\Log\LogLevel::WARNING;
            case \Psr\Log\LogLevel::ERROR:
                $this->levels[] = \Psr\Log\LogLevel::ERROR;
        }
        $this->levels[] = \Psr\Log\LogLevel::CRITICAL;
        $this->levels[] = \Psr\Log\LogLevel::ALERT;
        $this->levels[] = \Psr\Log\LogLevel::EMERGENCY;
    }
}